Draft Draft2Sketch/de: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Draft Draft2Sketch
|Name=Draft Draft2Sketch
|Name/de=Entwurf EntwurfZuSkizze
|MenuLocation=Entwerfen → Entwurf zu Skizze
|MenuLocation=Änderung → Entwurf zu Skizze
|Workbenches=[[Draft Module/de|Draft]], [[Arch Module/de|Arch]]
|Workbenches=[[Draft_Module/de|Entwurf]], [[Arch_Module|Architektur]]
|SeeAlso=[[Sketcher Workbench/de|Skizzierer Arbeitsbereich]], [[PartDesign Workbench/de|PartDesign Arbeitsbereich]]
}}
}}
</div>


==Beschreibung==
==Beschreibung==

Revision as of 17:52, 26 July 2021

Entwurf EntwurfZuSkizze

Menüeintrag
Änderung → Entwurf zu Skizze
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Der Entwurf EntwurfZuSkizze Befehl wandelt Entwurfsobjekte in Skizzierer Skizzen um und umgekehrt.

Konvertieren von Entwurfsobjekten in Skizzierer Skizzen

Anwendung

  1. Wähle optional ein oder mehrere Entwurfsobjekte oder Skizzierer Skizzen.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
  3. Wenn du noch kein Objekt ausgewählt hast: Wähle ein Objekt in der 3D Ansicht.
  4. Ein neues Objekt wird erstellt.

Anmerkungen

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Um Objekte in eine Skizze zu konvertieren, verwendedie Methode make_sketch (eingeführt mit Version 0.19) des Moduls Entwurf. Diese Methode ersetzt die veraltete Methode makeSketch.

sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
  • objects_list contains the objects to be converted. It is either a single object or a list of objects. Draft objects, Part::Feature objects and Part.Shape objects are supported.
  • If autoconstraints is True coincident constraints are added to nodes belonging to the same source object.
  • addTo is the existing sketch object the geometry is added to. If not supplied a new sketch is created.
  • If delete is True the source objects are deleted.
  • name is the name for the new sketch.
  • radiusPrecision indicates how radius constraints should be handled:
    • Use -1 to disable radius constraints.
    • Use 0 to add individual radius constraints.
    • Use a positive number to round radii according to this precision, and to add equal constraints between curves with equal radii.
  • tol is the tolerance used to check if shapes are planar and co-planar. Use -1 for a strict analysis.
  • sketch is returned with the sketch object.

Um eine Skizze in Entwurfsobjekte umzuwandeln, verwende die Methode draftify des Entwurf Moduls.

draftify(objectslist, makeblock=False, delete=True)
  • objectslist contains the objects to be converted. It is either a single object or a list of objects.
  • If makeblock is True the converted objects are grouped in a Part::Part2DObject.
  • If delete is True the source objects are deleted.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()

sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()

draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()